const { matchedData } = require('express-validator')
const { handleError } = require('../../middleware/utils')

const { userNameExist } = require('./helpers/cheackUser')

/**
 * Create item function called by route
 * @param {Object} req - request object
 * @param {Object} res - response object
 */
const cheackUser = async(req, res) => {
    try {
        const un = req.body.userName
        const english = /^[A-Za-z0-9]*$/
        if (
            english.test(un) && un.length > 3 && un.length < 15) {
            const r = await userNameExist(un)
            res.json({ exists: r })
        }


    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { cheackUser }