'use strict';

const { buildErrObject } = require('../../../middleware/utils')
const { createWallet } = require('./createWallet')
const { createStore } = require('./createStore')
const { createClub } = require('./createClub')
const { createSubDomain } = require('./createSubDomain')


/**
 * Checks User model if user with an specific userName exists
 * @param {string} userName - user userName
 */
async function amCreator(user_id, username, isCreator) {

    try {
        const store = await createStore(user_id)
        const wallet = await createWallet(user_id)
        const cdata = {
            userId: user_id,
            userName: username,
            storeId: store._id,
            // clubId: club._id,
            isCreator: isCreator
        }
        const club = await createClub(cdata)
        const sdata = {
            userId: user_id,
            userName: username,
            storeId: store._id,
            clubId: club._id,
            isCreator: isCreator
        }
        const saub = await createSubDomain(sdata)
        return true

    } catch (err) {
        return buildErrObject(err, 'problem')
    }
    return true


}

module.exports = { amCreator }