const { getFollowedClubs, getJoindClubs, followedClubsFeed, joinedClubsFeed, followedClubsProducts } = require('./helpers')
const { handleError } = require('../../middleware/utils')
const { checkQueryString } = require('../../middleware/db')
    /**
     * Get profile function called by route
     * @param {Object} req - request object
     * @param {Object} res - response object
     */
const timeLine = async(req, res) => {
    try {
        console.log(req.body)
        const userid = req.user.id
        const query = await checkQueryString(req.query)
        let followedClubs = await getFollowedClubs(userid)
        followedClubs = fliterIds(followedClubs)
        let myclubs = await getJoindClubs(userid)
        myclubs = fliterClubs(myclubs)
        let products = { docs: [], hasNextPage: false }
        let privet_posts = { docs: [], hasNextPage: false }
        let public_posts = { docs: [], hasNextPage: false }
        if (!req.body.fl) {
            if (req.body.pc) {
                products = await followedClubsProducts(followedClubs, req, query)
            }
            if (req.body.pj) {
                privet_posts = await joinedClubsFeed(followedClubs, req, query)
            }
            if (req.body.pp) {
                public_posts = await followedClubsFeed(followedClubs, req, query)
            }
            res.json({ public: public_posts, joined: privet_posts, products: products })
        } else {
            public_posts = await followedClubsFeed(followedClubs, req, query)
            privet_posts = await joinedClubsFeed(followedClubs, req, query)
            products = await followedClubsProducts(followedClubs, req, query)

            res.json({ public: public_posts, joined: privet_posts, products: products })

        }

    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { timeLine }
const fliterIds = function(itemsFromDb = []) {
    const ids = []
    for (let i = 0; i < itemsFromDb.length; i++) {
        ids.push(itemsFromDb[i].clubId) // refer to the user id the club owner
    }
    return ids
}
const fliterClubs = function(itemsFromDb = []) {
    const ids = []
    for (let i = 0; i < itemsFromDb.length; i++) {
        ids.push(itemsFromDb[i].clubUserId)
    }
    return ids
}