const City = require('../../../models/authTokens')
const { createItem } = require('../../../middleware/db')
const { handleError } = require('../../../middleware/utils')


/**
 * Create item function called by route
 * @param {Object} req - request object
 * @param {Object} res - response object
 */
const createAuthToken = async(userId) => {
    try {
        return await createItem({ userId: userId }, City)
    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { createAuthToken }