const jwt = require('jsonwebtoken')
const { encrypt } = require('../../../middleware/auth')
const config = require('../../../../config/config.json')
    /**
     * Generates a token
     * @param {Object} user - user object
     */
const generateToken = (user = '') => {
    try {
        // Gets expiration time
        const expiration =
            Math.floor(Date.now() / 1000) + 60 * config.appConfig.tokenExpiretion

        // returns signed and encrypted token
        return encrypt(
            jwt.sign({
                    data: {
                        _id: user
                    },
                    exp: expiration
                },
                config.appConfig.secret
            )
        )
    } catch (error) {
        throw error
    }
}

module.exports = { generateToken }