const User = require('../../../models/user')
const { itemNotFound } = require('../../../middleware/utils')

/**
 * Finds user by ID
 * @param {string} id - user´s id
 */
const getUserByExternalId = (provider = '', providerId = '') => {
    return new Promise((resolve, reject) => {
        User.findOne({ provider, providerId }, async(err, item) => {
            if (err) {
                return reject(err)
            }
            resolve(item)
        })
    })
}

module.exports = { getUserByExternalId }