const User = require('../../../models/user')
const { buildErrObject } = require('../../../middleware/utils')

/**
 * Checks User model if user with an specific userName exists
 * @param {string} userName - user userName
 */
const profileExists = (provider = '', providerId = '') => {
    return new Promise((resolve, reject) => {
        User.findOne({
                provider,
                providerId
            },
            (err, item) => {
                if (err) {
                    return reject(buildErrObject(422, err.message))
                }

                if (item) {
                    resolve(true)

                } else {
                    resolve(false)
                }
            }
        )
    })
}

module.exports = { profileExists }