const uuid = require('uuid')
const User = require('../../../models/user')
const { buildErrObject } = require('../../../middleware/utils')

/**
 * Registers a new user in database
 * @param {Object} req - request object
 */
const registerUser = function(req = {}) {
    req.verification = uuid.v4()
    return new Promise((resolve, reject) => {
        User.create(req, (err, item) => {
            if (err) {
                reject(err)
            }
            resolve(item)
        })
    })

}
module.exports = { registerUser }