const User = require('../../../models/user')
const { createItem } = require('../../../middleware/db')

const { createWalletAndStore } = require('../../app/helpers/')
const uuid = require('uuid')

const { createStripeCustomer } = require('../../../paymentGetways/stripe/createCustomer')
const {
    emailExists
} = require('../../../middleware/emailer')


/**
 * Register function called by route
 * @param {Object} req - request object
 * @param {Object} res - response object
 */
const socialSingup = async(user) => {
    console.log(user)

    try {
        // Gets locale from header 'Accept-Language'
        const doesEmailExists = await emailExists(user.email)
        if (!doesEmailExists) {
            user.verification = uuid.v4()
            const item = await createItem(user, User)
            await createWalletAndStore(item)
            const newuser = await createStripeCustomer(item)
            return newuser
        }

    } catch (error) {
        console.log(error)
    }
}

module.exports = { socialSingup }