const City = require('../../../models/authTokens')
const { deleteItem } = require('../../../middleware/db')
const { handleError } = require('../../../middleware/utils')


/**
 * Create item function called by route
 * @param {Object} req - request object
 * @param {Object} res - response object
 */
const updateAuthToken = async(tokenId) => {
    try {
        await deleteItem(tokenId, City)
        return true
    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { updateAuthToken }