const User = require('../../../models/user')
const { buildErrObject } = require('../../../middleware/utils')

/**
 * Checks User model if user with an specific userName exists
 * @param {string} userName - user userName
 */
const userNameExists = (userName = '') => {
    return new Promise((resolve, reject) => {
        User.findOne({
                userName
            },
            (err, item) => {
                if (err) {
                    return reject(buildErrObject(422, err.message))
                }

                if (item) {
                    return reject(buildErrObject(422, 'userName_ALREADY_EXISTS'))
                }
                resolve(item)
            }
        )
    })
}

module.exports = { userNameExists }