const { getUserByExternalId, socialSingup, profileExists, setUserInfo, saveUserAccessAndReturnToken, createAuthToken } = require('./helpers')
const { userNameExists } = require('../app/helpers/cheackUser')
const { handleError, isIDGood } = require('../../middleware/utils')
const { getItem, deleteItem } = require('../../middleware/db')
const authTokens = require('../../models/authTokens')
const users = require('../../models/user')

const {
    emailExists,
    sendRegistrationEmailMessage,
} = require('../../middleware/emailer')
require('../../../config/passport')

const passport = require('passport')
const { sign } = require('jsonwebtoken')


/**
 * Register function called by route
 * @param {Object} req - request object
 * @param {Object} res - response object
 */
const start = async(req, res, next) => {
    const username = req.query.username
    const mode = req.query.mode
    if (req.query.provider === 'google') {

        if (mode === 'singup') {
            passport.authenticate('google', { session: false, scope: ['openid', 'profile', 'email'], isSingup: true, username: username })(req, res, next)
        } else {
            passport.authenticate('google', { session: false, scope: ['openid', 'profile', 'email'], isSingup: false })(req, res, next)
        }
    }
}

const redirectAction = async(req, res) => {
    passport.authenticate('google')
        // passport.authenticate('google')
    console.log(req)
        // passport js google authentication redirect handler function 

    // res.redirect('http://localhost:8080/auth?token=' + a.id)
}
const finish = async(req, res) => {
    const authId = isIDGood(req.body.id)
    const tickt = await getItem(authId, authTokens)
    if (tickt) {
        const user = await getItem(tickt.userId, users)
        await deleteItem(tickt.id, authTokens)
        res.json(await saveUserAccessAndReturnToken(req, user))
    }


}
const usernameValid = async function(un = '') {
    const english = /^[A-Za-z0-9]*$/

    if (
        english.test(un) && un.length > 3 && un.length < 15) {
        return await userNameExists(un)
    }
}

module.exports = { start, redirectAction, finish }
    // console.log(req.body)
    // try {
    //     // Gets locale from header 'Accept-Language'
    //     const locale = req.getLocale()
    //     delete req.body.user.role
    //     const doesEmailExists = await emailExists(req.body.user.email)
    //     const doesuserNameExists = await userNameExists(req.body.user.userName)
    //     if (!doesuserNameExists) {
    //         if (!doesEmailExists) {
    //             let item
    //             if (req.body.isCreator) {
    //                 req.body.user.role = 'creator'
    //                 item = await registerUser(req.body.user)
    //                 const done = await amCreator(item._id, item.userName, true)
    //                 if (done) {
    //                     console.log('amCreator' + (item))
    //                 } else {
    //                     console.log('error')
    //                 }
    //             } else {
    //                 item = await registerUser(req.body.user)
    //                 const done = await amCreator(item._id, item.userName, false)
    //                 console.log('amDumyUser' + (item._id))
    //             }
    //             const newuser = await createStripeCustomer(item)
    //             const userInfo = await setUserInfo(newuser)
    //             const response = await returnRegisterToken(newuser, userInfo)
    //             sendRegistrationEmailMessage(locale, newuser)
    //             res.status(201).json(response)
    //         }
    //     }
    // } catch (error) {
    //     handleError(res, error)
    // }