const { getProfileFromDB, getClub, getAllitems } = require('./helpers')
const { handleError } = require('../../middleware/utils')
const subscribtions = require('../../models/Subscriptions.js')
    /**
     * Get profile function called by route
     * @param {Object} req - request object
     * @param {Object} res - response object
     */
const getclub = async(req, res) => {
    try {
        const username = req.query.club
        const club = await getClub(username)
        if (club) {

            const Subscribtions = await getAllitems({ userId: club.userId }, subscribtions)
            const clubInfo = await getProfileFromDB(club.userId)
            const result = {
                clubOwner: clubInfo,
                subscribtions: Subscribtions,
                club: club,
                isFollowed: false
            }
            res.status(200).json(result)
        } else {
            handleError(res, { code: 404, message: 'errors.Club not found' })
        }

    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { getclub }