const { getProfileFromDB, getClub, getAllitems, isClubFollowed, isMember } = require('./helpers')
const { handleError } = require('../../middleware/utils')
const subscribtions = require('../../models/Subscriptions.js')


/**
 * Get profile function called by route
 * @param {Object} req - request object
 * @param {Object} res - response object
 */
const ClubAuthUser = async(req, res) => {
    try {
        const username = req.query.club
        const club = await getClub(username)
        if (club) {
            const isFollowed = await isClubFollowed(req.user.id, club.id)
            console.log(isFollowed)
            const ism = await isMember(club.userId, req.user.id)

            const Subscribtions = await getAllitems({ userId: club.userId }, subscribtions)
            const clubInfo = await getProfileFromDB(club.userId)
            const result = {
                clubOwner: clubInfo,
                subscribtions: Subscribtions,
                club: club,
                isFollowed: isFollowed,
                IsMember: ism.isActive
            }
            res.status(200).json(result)
        } else {
            handleError(res, { code: 404, message: 'errors.Club not found' })
        }

    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { ClubAuthUser }