const { getClub, isClubFollowed, createFollow, deleteFollow } = require('./helpers')
const { handleError } = require('../../middleware/utils')
    /**
     * Get profile function called by route
     * @param {Object} req - request object
     * @param {Object} res - response object
     */
const follow = async(req, res) => {
    try {
        const id = req.user.id
        const club = await getClub(req.query.club)

        if (id !== club.userId) {
            isFollowed = await isClubFollowed(id, club.userId)
            if (!isFollowed) {
                res.status(200).json(await createFollow(id, club.userId))
            } else {
                res.status(200).json(await deleteFollow(id, club.userId))
            }
        } else {
            res.status(300).json({ message: 'u can`t follow yourself' })
        }

    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { follow }