const { getAllitems, getClub } = require('./helpers')
const { handleError } = require('../../middleware/utils')
const Posts = require('../../models/Packeges')
    /**
     * Get profile function called by route
     * @param {Object} req - request object
     * @param {Object} res - response object
     */
const getClubPackages = async(req, res) => {
    try {
        // const userid = await isIDGood(req.user._id)
        const clubid = req.query.club
        const club = await getClub(clubid)
        if (club) {
            res.status(200).json(await getAllitems({ userId: club.userId }, Posts));

        } else {
            handleError(res, { code: 404, message: 'errors.Club not found' })
        }
    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { getClubPackages }