const { getClub, getProduct } = require('./helpers')
const { handleError } = require('../../middleware/utils')
    /**
     * Get profile function called by route
     * @param {Object} req - request object
     * @param {Object} res - response object
     */
const getClubProduct = async(req, res) => {
    try {
        const clubid = req.body.club
        const club = await getClub(clubid)
        if (club) {
            const product = await getProduct(req.body.slug)
            if (product) {
                res.status(200).json(product);
            } else {
                handleError(res, { code: 404, message: 'product not found' })

            }


        } else {
            handleError(res, { code: 404, message: 'errors.Club not found' })
        }
    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { getClubProduct }