const { retrievePayment } = require('../../../paymentGetways/stripe/retrievePayment')
const { handleError } = require('../../../middleware/utils')
require('dotenv-safe').config({
    allowEmptyValues: true
})
const Stripe = require('stripe')
const stripe = new Stripe(process.env.STRIPE_SECRET, {
    apiVersion: '2020-08-27',
});

async function confirmSub(payment, res) {
    try {

        const PaymentIntent = await retrievePayment(payment.info.id)
        const subscription = await stripe.subscriptions.update(
            payment.subInfo, {
                default_payment_method: PaymentIntent.payment_method,
            })

        return { p: PaymentIntent, s: subscription }
    } catch (error) {
        handleError(res, error)
    }
}
module.exports = { confirmSub }