const City = require('../../../models/followChain')
const { buildErrObject, buildSuccObject } = require('../../../middleware/utils')

/**
 * Checks if a city already exists in database
 * @param {string} name - name of item
 */
const createFollow = (userId = '', clubId = '') => {
    return new Promise((resolve, reject) => {
        City.create({ userId, clubId }, (err, item) => {
            if (err) {
                reject(buildErrObject(422, err.message))
            }
            resolve(buildSuccObject('followed'))

        })
    })
}

module.exports = { createFollow }