const City = require('../../../models/club')
const { buildErrObject } = require('../../../middleware/utils')

/**
 * Checks if a city already exists in database
 * @param {string} name - name of item
 */
const getClub = (userName = '') => {
    return new Promise((resolve, reject) => {
        City.findOne({
                userName
            },
            async(err, item) => {
                if (err) {
                    return reject(buildErrObject(422, err.message))
                }

                resolve(item)


            }
        ).populate('followCount')
    })
}

module.exports = {
    getClub
}