const City = require('../../../models/Products')
const { buildErrObject } = require('../../../middleware/utils')

/**
 * Checks if a city already exists in database
 * @param {string} name - name of item
 */
const getProduct = (slug = '') => {
    return new Promise((resolve, reject) => {
        City.findOne({
                slug,
                Archived: false
            },
            (err, item) => {
                if (err) {
                    return reject(buildErrObject(422, err.message))
                }


                resolve(item)
                return item


            }
        )
    })
}

module.exports = {
    getProduct
}