const City = require('../../../models/followChain')
const { buildErrObject } = require('../../../middleware/utils')

/**
 * Checks if a city already exists in database
 * @param {string} name - name of item
 */
const resolveFollow = (userId = '', club = {}) => {
    return new Promise((resolve, reject) => {
        return City.findOne({
                userId
            },
            (err, item) => {
                if (err) {
                    return reject(buildErrObject(422, err.message))
                }
                if (item) {
                    City.deleteOne(item)
                    return 1
                } else {
                    if (userId !== club.id) {
                        City.create({ userId, clubId: club.id })
                        return 2
                    } else {
                        return 3
                    }
                }

            }
        )
    })
}

module.exports = { resolveFollow }