const PAyment = require('../../../models/payments.js')
const { createItem } = require('../../../middleware/db')
const { stripePayment } = require('../../../middleware/payments')
const { handleError } = require('../../../middleware/utils')


/**
 * Finds user by id
 * @param {string} id - user id
 */
const resolvePayment = async(Payment = {}, user = {}, product = {}, club = {}, res) => {

    if (Payment.type === 'stripe') {
        const payment = await stripePayment(Payment.chargeId, res)
        try {

            const payload = {
                paymentGetway: Payment.type,
                status: 'succeeded',
                amount: payment.amount_received / 100,
                respcentUserId: club.userId,
                payingUser: user,
                userId: user.info.id,
                type: product.type,
                paymentProviderId: payment.id,
            }
            return await createItem(payload, PAyment)

        } catch (error) {
            handleError(res, error)


        }
    }

}

module.exports = { resolvePayment }