const { isIDGood, handleError } = require('../../middleware/utils')
const { getItem, updateItem, clublike, createNotification } = require('../../middleware/db')
const Posts = require('../../models/posts.js')
    /**
     * Get profile function called by route
     * @param {Object} req - request object
     * @param {Object} res - response object
     */
const like = async(req, res) => {
    try {
        const id = await isIDGood(req.user._id)
        const post = await getItem(req.body.id, Posts)

        const index = post.likes.indexOf(id);

        if (index !== -1) {
            await clublike(-1, post.postedBy)
            post.likes.splice(index, 1);
        } else {
            await clublike(1, post.postedBy)
            await createNotification({
                sender: { name: req.user.name, image: req.user.pictures.profilePictureThump },
                receiverId: post.postedBy,
                content: `Liked your post ${post.content}.`
            }, )

            post.likes.push(id);
        }
        res.status(200).json(await updateItem(post.id, Posts, post));
    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { like }