const { getClub } = require('./helpers')
const { handleError } = require('../../middleware/utils')
const { getClubPosts, checkQueryString } = require('../../middleware/db')


/**
 * Get profile function called by route
 * @param {Object} req - request object
 * @param {Object} res - response object
 */
const postsGuset = async(req, res) => {
    try {
        const clubid = req.query.club
        const club = await getClub(clubid)
        if (club) {
            delete req.query.club
            const query = await checkQueryString(req.query)
                // false = free posts
            res.status(200).json(await getClubPosts(req, query, club.userId, false));

        } else {
            handleError(res, { code: 404, message: 'errors.Club not found' })
        }
    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { postsGuset }