const { getClub, isMember } = require('./helpers')
const { handleError } = require('../../middleware/utils')
const { getClubPosts, checkQueryString } = require('../../middleware/db')
    /**
     * Get profile function called by route
     * @param {Object} req - request object
     * @param {Object} res - response object
     */
const postsUser = async(req, res) => {
    try {
        const clubid = req.query.club
        const club = await getClub(clubid)
        if (club) {
            delete req.query.club
            const query = await checkQueryString(req.query)
                // false = free posts true = paid posts all = all posts 
            const ism = await isMember(club.userId, req.user.id)

            if (ism.isActive || club.userId === req.user.id) {
                const allPosts = await getClubPosts(req, query, club.userId, 'all')
                allPosts.isMember = ism.isActive
                allPosts.ongoing = ism.ongoing
                    // console.log(allPosts)
                res.status(200).json(allPosts);
            } else {
                const freePosts = await getClubPosts(req, query, club.userId, false)
                freePosts.isMember = ism
                    // console.log(freePosts)
                res.status(200).json(freePosts);
            }

        }

    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { postsUser }