const { count } = require('../../middleware/db')
const Orders = require('../../models/orders');
const Supports = require('../../models/support');
const SubscriptionChain = require('../../models/SubscriptionChain');
const packageClaims = require('../../models/PackegeClaims')
const { getClubTotalSupports, getClubTotals, getLatest } = require('./helpers');
async function statstics(id) {
    return {
        supports: await count({ clubUserId: id }, Supports),
        orders: await count({ clubUserId: id }, Orders),
        activeClubMembers: await count({ clubUserId: id, isActive: true }, SubscriptionChain),
        packageClaims: await count({ clubUserId: id }, packageClaims)
    }
}
async function ernings(id) {
    return {
        support: await getClubTotalSupports(id),
        store: await getClubTotals(id, 'store'),
        memberships: await getClubTotals(id, 'membership'),
        packageClaims: await getClubTotals(id, 'package'),
    }

}
async function orderstats(id) {
    return {
        new: await count({ clubUserId: id, Status: 'new' }, Orders)
    }
}
async function latest(id) {
    return {
        packageClaims: await getLatest({ clubUserId: id }, packageClaims, 5),
        supports: await getLatest({ clubUserId: id }, Supports, 5),
    }
}
const dashboard = async(req, res) => {
    try {
        const resualte = {
            latest: await latest(req.user.id),
            statistics: await statstics(req.user.id),
            earnings: await ernings(req.user.id),
            orders: await orderstats(req.user.id)
        }

        res.status(201).json(resualte)
    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { dashboard }