const { handleError } = require('../../middleware/utils');
const Products = require('../../models/Products');
const { getUserItems, checkQueryString } = require('../../middleware/db')


/**
 * Get all items function called by route
 * @param {Object} req - request object
 * @param {Object} res - response object
 */
const getAllClubProducts = async(req, res) => {
    try {
        if (req.query.filter === 'true') {
            req.query.filter = true
        } else if (req.query.filter === 'false') {
            req.query.filter = false
        }

        const query = await checkQueryString(req.query)
        res.status(200).json(await getUserItems(req, Products, query, req.user.id));

    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { getAllClubProducts }