const { handleError } = require('../../middleware/utils');
const SubscriptionChain = require('../../models/SubscriptionChain');
const { getItems, checkQueryString, count } = require('../../middleware/db')


/**
 * Get all items function called by route
 * @param {Object} req - request object
 * @param {Object} res - response object
 */
const getClubMembers = async(req, res) => {
    try {
        delete req.query.filter
        delete req.query.fields
        const query = await checkQueryString(req.query)
        query.clubUserId = req.user.id
        const members = await getItems(req, SubscriptionChain, query)
        const activeMembers = await count({ clubUserId: req.user.id, isActive: true }, SubscriptionChain)
        members.activeMembers = activeMembers
        members.unActiveMembers = members.totalDocs - activeMembers
        res.status(200).json(members);

    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { getClubMembers }