const { getClub } = require('./helpers')
const { handleError } = require('../../middleware/utils')
const Supports = require('../../models/PackegeClaims')
const { getItems, checkQueryString, count } = require('../../middleware/db')
const Packages = require('../../models/Packeges')

/**
 * Get profile function called by route
 * @param {Object} req - request object
 * @param {Object} res - response object
 */
const getClubPackageClaims = async(req, res) => {
    try {
        // const userid = await isIDGood(req.user._id)
        //  userId:  
        const clubid = req.user.userName
        const club = await getClub(clubid)
        if (club) {
            delete req.query.filter
            delete req.query.fields
            const query = await checkQueryString(req.query)
            query.clubUserId = club.userId

            const supports = await getItems(req, Supports, query)
            supports.packageCount = await count({ clubUserId: req.user.id }, Packages)
            res.status(200).json(supports)
        } else {
            handleError(res, { code: 404, message: 'errors.Club not found' })
        }
    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { getClubPackageClaims }