const { getClub, getClubTotalSupports } = require('./helpers')
const { handleError } = require('../../middleware/utils')
const Supports = require('../../models/support')
const { getItems, checkQueryString } = require('../../middleware/db')

/**
 * Get profile function called by route
 * @param {Object} req - request object
 * @param {Object} res - response object
 */
const getClubSupports = async(req, res) => {
    try {
        // const userid = await isIDGood(req.user._id)
        //  userId:  
        const clubid = req.user.userName
        const club = await getClub(clubid)
        if (club) {
            delete req.query.filter
            delete req.query.fields
            const query = await checkQueryString(req.query)
            query.clubUserId = club.userId
            const totalSupports = await getClubTotalSupports(club.userId)
            const supports = await getItems(req, Supports, query)
            if (totalSupports[0] !== undefined) {
                supports.totalSupports = totalSupports[0].amount
            } else {
                supports.totalSupports = 0
            }
            res.status(200).json(supports)
        } else {
            handleError(res, { code: 404, message: 'errors.Club not found' })
        }
    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { getClubSupports }