const { updateItem, getItem } = require('../../../middleware/db')
const { isIDGood, handleError } = require('../../../middleware/utils')

/**
 * Get item function called by route
 * @param {Object} req - request object
 * @param {Object} res - response object
 */
const Archive = async(userId, itemId, Amodal, state) => {
    try {
        userId = await isIDGood(userId)
        itemId = await isIDGood(itemId)
        const item = await getItem(itemId, Amodal)
        if (item.userId === userId) {
            return await updateItem(itemId, Amodal, { Archived: state })
        }
        if (item.postedBy === userId) {
            return await updateItem(itemId, Amodal, { Archived: state })
        }
    } catch (error) {
        handleError(442, error)
    }
}

module.exports = { Archive }