const City = require('../../../models/payments')
const { buildErrObject } = require('../../../middleware/utils')

/**
 * Checks if a city already exists in database
 * @param {string} name - name of item
 */
const getClubTotals = (userId = '', type = '', ) => {
    return new Promise((resolve, reject) => {
        City.aggregate([
                { $match: { respcentUserId: userId, type } },
                { $group: { _id: null, amount: { $sum: "$amount" } } }
            ],
            (err, item) => {
                if (err) {
                    return reject(buildErrObject(422, err.message))
                }


                resolve(item)
                return item


            }
        )
    })
}

module.exports = {
    getClubTotals
}