const User = require('../../../models/club')
const { itemNotFound } = require('../../../middleware/utils')

/**
 * Updates profile in database
 * @param {Object} req - request object
 * @param {string} id - user id
 */
const updateclub = (req = {}, id = '') => {
    delete req.userId
    delete req.likes
    delete req.membersCount
    delete req.storeId
    delete req.isDisabled
    delete req.isCreator
    return new Promise((resolve, reject) => {
        console.log(req)
        User.findOneAndUpdate({ userId: id },
            req, {
                runValidators: true
            },
            async(err, user) => {
                try {
                    await itemNotFound(err, user, 'NOT_FOUND')
                    resolve(user)
                } catch (error) {
                    reject(error)
                }
            }
        )
    })
}

module.exports = { updateclub }