const packege = require('../../models/orders')
const Payment = require('../../models/payments')
const { handleError, isIDGood } = require('../../middleware/utils')
const { updateItem, getItem, createNotification } = require('../../middleware/db')
const { fillWallet } = require('../../middleware/payments')

/**
 * Create item function called by route
 * @param {Object} req - request object
 * @param {Object} res - response object
 */

const orderUpdate = async(req, res) => {
    const orderResolver = {
        'accepted': async(order) => {
            order.Status = 'accepted'
            await createNotification({ sender: { name: req.user.name, image: req.user.pictures.profilePictureThump }, receiverId: order.user.id, content: `Accepted your order for ${order.product.name} , find more details in your orders page` }, )
            return await updateItem(order._id, packege, order)
        },
        'rejected': async(order) => {
            order.Status = 'rejected'
            await createNotification({ sender: { name: req.user.name, image: req.user.pictures.profilePictureThump }, receiverId: order.user.id, content: `Rejected your order for ${order.product.name}` }, )
            await createNotification({ receiverId: order.user.id, content: `Order amount is now in your wallet balance` }, )
            const payment = await getItem(order.paymentId, Payment)
            await fillWallet(payment.amount, order.user.id)
            return await updateItem(order._id, packege, order)
        },
        'shipped': async(order) => {
            order.Status = 'shipped'
            await createNotification({ sender: { name: req.user.name, image: req.user.pictures.profilePictureThump }, receiverId: order.user.id, content: `Your order for ${order.product.name} is on the way` }, )
            const payment = await getItem(order.paymentId, Payment)
            await createNotification({ receiverId: req.user.id, content: `Order amount of $${payment.amount} was add to your wallet balance` }, )
            await fillWallet(payment.amount, req.user.id)
            return await updateItem(order._id, packege, order)
        }
    }
    try {
        req.body._id = await isIDGood(req.body._id)
        const p = await getItem(req.body._id, packege)

        if (p.clubUserId === req.user.id) {
            const x = await orderResolver[req.body.Status](p)
            res.status(201).json(x)
        }
    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { orderUpdate }