const post = require('../../models/posts')
const { isIDGood, handleError } = require('../../middleware/utils')
const { getItem } = require('../../middleware/db')
const { Archive } = require('./helpers')

/**
 * Update item function called by route
 * @param {Object} req - request object
 * @param {Object} res - response object
 */
const postArchcive = async(req, res) => {
    try {
        const state = (req.query.State === 'true')
        const id = await isIDGood(req.user.id)
        const itemId = await isIDGood(req.query.Archive)
        const item = await Archive(id, itemId, post, state)
        console.log(item)
        res.status(201).json(item)
    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { postArchcive }