const Modal = require('../../models/posts')
const { createItem } = require('../../middleware/db')
const { handleError } = require('../../middleware/utils')

/**
 * Create item function called by route
 * @param {Object} req - request object
 * @param {Object} res - response object
 */
const postCreate = async(req, res) => {
    try {
        req.body.postedBy = req.user.id
        req.body.userId = req.user.id
        res.status(201).json(await createItem(req.body, Modal))
    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { postCreate }