const City = require('../../models/posts')
const { isIDGood, handleError } = require('../../middleware/utils')
const { blockUser } = require('../../controllers/auth/helpers/')
const { deleteItem, getItem } = require('../../middleware/db')
    /**
     * Delete item function called by route
     * @param {Object} req - request object
     * @param {Object} res - response object
     */
const postDelete = async(req, res) => {
    try {
        console.log(req.body.id)
        const pid = await isIDGood(req.body.id)
        const post = await getItem(pid, City)
        if (post.userId === req.user.id) {
            res.status(200).json(await deleteItem(pid, City))
        } else {
            await blockUser(req.user)
        }
    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { postDelete }