const product = require('../../models/Products.js')
const { createItem } = require('../../middleware/db')
const { handleError } = require('../../middleware/utils')
const { getStore } = require('./helpers/getStore')
    /**
     * Create item function called by route
     * @param {Object} req - request object
     * @param {Object} res - response object
     */
const productCreate = async(req, res) => {
    try {
        const store = await getStore(req.user.id)
        req.body.userId = req.user.id
        req.body.storeId = store.id
        req.body.postedBy = req.user.id
        res.status(201).json(await createItem(req.body, product))
    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { productCreate }