const Subscriptions = require('../../models/Subscriptions.js')
const { createItem } = require('../../middleware/db')
const { handleError } = require('../../middleware/utils')
const { createProduct } = require('../../paymentGetways/stripe/createProductSubscreption')
const { createPrice } = require('../../paymentGetways/stripe/createPrice')
    /**
     * Create item function called by route
     * @param {Object} req - request object
     * @param {Object} res - response object
     */
const subscriptionCreate = async(req, res) => {
    try {
        req.body.userId = req.user.id
        const subscription = await createProduct(req.body.name)
        const price = await createPrice(subscription.id, req.body.price)
        req.body.stripe = {
            productId: subscription.id,
            priceId: price.id
        }
        res.status(201).json(await createItem(req.body, Subscriptions))
    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { subscriptionCreate }