const Subscriptions = require('../../models/Subscriptions.js')

const { handleError, isIDGood } = require('../../middleware/utils')
const { updateItem, getItem } = require('../../middleware/db')
    /**
     * Create item function called by route
     * @param {Object} req - request object
     * @param {Object} res - response object
     */
const subscriptionUpdate = async(req, res) => {
    try {

        req.body._id = await isIDGood(req.body._id)
        const p = await getItem(req.body._id, Subscriptions)
        if (p.userId === req.user.id) {
            res.status(201).json(await updateItem(p.id, Subscriptions, req.body))
        }
    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { subscriptionUpdate }