const { isIDGood, handleError } = require('../../middleware/utils')
const { updateclub } = require('./helpers')
    /**
     * Update profile function called by route
     * @param {Object} req - request object
     * @param {Object} res - response object
     */
const updateClub = async(req, res) => {
    try {
        const id = await isIDGood(req.user._id)
        res.status(200).json(await updateclub(req.body, id))
    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { updateClub }