const payOutGetways = require('../../models/payoutGetways')
const { getItems } = require('../../middleware/db')
const { handleError } = require('../../middleware/utils')

/**
 * Get items function called by route
 * @param {Object} req - request object
 * @param {Object} res - response object
 */
const getGetways = async(req, res) => {
    try {
        res.status(200).json(await getItems(req, payOutGetways))
    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { getGetways }