const payOutGetways = require('../../models/payoutGetways')
const { getItem } = require('../../middleware/db')
const { handleError } = require('../../middleware/utils')

/**
 * Get items function called by route
 * @param {Object} req - request object
 * @param {Object} res - response object
 */
const getMyGetway = async(req, res) => {
    try {
        if (req.user.payoutInfo.isSet) {
            res.status(200).json(await getItem(req.user.payoutInfo.payoutGetwayId, payOutGetways))
        } else {
            res.status(200).json({ message: 'did not add payout getway yet' })
        }
    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { getMyGetway }