const User = require('../../models/user.js')
const { updateItem } = require('../../middleware/db')
const { handleError } = require('../../middleware/utils')

/**
 * Get items function called by route
 * @param {Object} req - request object
 * @param {Object} res - response object
 */
const updateMyPayoutGetway = async(req, res) => {
    try {
        res.status(200).json(await updateItem(req.user._id, User, req.body))
    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { updateMyPayoutGetway }