const { createPaymentIntent } = require('../../paymentGetways/stripe/createPaymentIntent.js')
const { getItem } = require('../../middleware/db')
const Subscription = require('../../models/Subscriptions')
const { handleError } = require('../../middleware/utils')
const Products = require('../../models/Products')
const Packege = require('../../models/Packeges')
const { subscribeToTheClub } = require('../club/helpers/subscribeToTheClub.js')

async function registeredUserPayment(req, res) {
    try {
        const product = req.body.product
        const user = req.user
        if (product.type === 'support') {
            const amount = product.amount * 100
            const PaymentIntent = await createPaymentIntent(amount, user.paymentInfo.stripe._id, )
            return res.status(200).send(PaymentIntent)
        } else if (product.type === 'store') {
            const item = await getItem(product.pId, Products)
            let amount = 0
            if (item.options.dis.Active) {
                amount = item.Discount * 100
            } else {
                amount = item.price * 100
            }
            const PaymentIntent = await createPaymentIntent(amount, user.paymentInfo.stripe._id, )
            return res.status(200).send(PaymentIntent)
        } else if (product.type === 'membership') {
            const item = await getItem(product.pId, Subscription)
            const sub = await subscribeToTheClub(item, user)
            return res.status(200).send(sub)
        } else if (product.type === 'package') {
            const item = await getItem(product.pId, Packege)
            console.log(item)
            const amount = item.price * 100
            console.log(amount)
            const PaymentIntent = await createPaymentIntent(amount, user.paymentInfo.stripe._id, )
            return res.status(200).send(PaymentIntent)
        }
    } catch (error) {
        handleError(res, error)
    }
}
module.exports = { registeredUserPayment }