const { getItem } = require('../../middleware/db')
const { handleError } = require('../../middleware/utils')
const Products = require('../../models/Products')
const Packege = require('../../models/Packeges')
const { getClub, getProfileFromDB } = require('../../controllers/club/helpers/')
const { Client, resources } = require('coinbase-commerce-node');
const coinbaseSecret = '4d5d4c6a-7369-4b7f-bb3e-b428dbf50aa2';
Client.init(coinbaseSecret);
const { Charge } = resources;


async function createCharge(data) {
    const charge = await Charge.create(data)
    return charge
}
async function registeredUserPaymentCrypto(req, res) {
    try {
        const club = await getClub(req.body.club)
        console.log(club)
        const product = req.body.product
        const user = req.user
        switch (product.type) {
            case 'support':
                const clubUser = await getProfileFromDB(club.userId)
                const amount = product.amount
                const payload = {
                    name: `Support for @${club.userName}`,
                    logo_url: clubUser.pictures.profilePicture,
                    description: `Suppourt ${clubUser.name}'s club`,
                    local_price: {
                        amount,
                        currency: 'USD',
                    },
                    pricing_type: 'fixed_price',
                    metadata: {
                        payingUserId: user.id,
                        clubId: club.userId,
                        type: 'support'
                    },
                }
                res.status(200).send(await createCharge(payload))
                break;
            case 'store':
                const item = await getItem(product.pId, Products)
                let amounte = 0
                if (item.options.dis.Active) {
                    amounte = item.Discount
                } else {
                    amounte = item.price
                }
                const payload1 = {
                    name: item.name,
                    description: item.description,
                    logo_url: item.images[0],

                    local_price: {
                        amount: amounte,
                        currency: 'USD',
                    },
                    pricing_type: 'fixed_price',
                    metadata: {
                        payingUserId: user.id,
                        clubUserId: club.userId,
                        type: 'store',
                        productId: item.id
                    },
                }
                res.status(200).send(await createCharge(payload1))
                break;
            case 'package':
                const item1 = await getItem(product.pId, Packege)
                const amountw = item1.price
                const payload2 = {
                    name: item1.title,
                    description: item1.description,
                    local_price: {
                        amount: amountw,
                        currency: 'USD',
                    },
                    logo_url: item1.image,

                    pricing_type: 'fixed_price',
                    metadata: {
                        payingUserId: user.id,
                        clubUserId: club.userId,
                        type: 'package',
                        productId: item1.id
                    },
                }
                res.status(200).send(await createCharge(payload2))
                break;
        }
    } catch (error) {
        handleError(res, error)
    }
}
module.exports = { registeredUserPaymentCrypto }