const { handleError } = require('../../middleware/utils');
const SubscriptionChain = require('../../models/SubscriptionChain');
const { getItem } = require('../../middleware/db')
const { cancelSub } = require('../../paymentGetways/stripe/cancelSub')

/**
 * Get all items function called by route
 * @param {Object} req - request object
 * @param {Object} res - response object
 */
// cancelMembership
const cancelMembership = async(req, res) => {
    try {

        const sub = await getItem(req.body._id, SubscriptionChain)
        res.status(200).json(await cancelSub(sub, res))
    } catch (err) {
        handleError(res, err)
    }
}

module.exports = { cancelMembership }