const { handleError } = require('../../middleware/utils');
const SubChain = require('../../models/SubscriptionChain');
const { checkQueryString, getItems } = require('../../middleware/db')


/**
 * Get all items function called by route
 * @param {Object} req - request object
 * @param {Object} res - response object
 */
const getMyClubs = async(req, res) => {
    try {
        if (req.query.filter === 'true') {
            req.query.filter = true
        } else {
            req.query.filter = false
        }
        req.query.fields = 'isActive'

        const query = await checkQueryString(req.query)
        query.userId = req.user.id
        const items = await getItems(req, SubChain, query)
        res.status(200).json(items);


    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { getMyClubs }