const { handleError } = require('../../middleware/utils');
const Orders = require('../../models/orders');
const { getUserItems, checkQueryString } = require('../../middleware/db')


/**
 * Get all items function called by route
 * @param {Object} req - request object
 * @param {Object} res - response object
 */
const getMyOrders = async(req, res) => {
    try {
        if (req.query.filter === 'all') {
            delete req.query.filter
            delete req.query.fields
        }
        const query = await checkQueryString(req.query)
        res.status(200).json(await getUserItems(req, Orders, query, req.user.id));

    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { getMyOrders }