const { getAllitems } = require('./helpers')
const { isIDGood, handleError } = require('../../middleware/utils')
const Posts = require('../../models/posts.js')
    /**
     * Get profile function called by route
     * @param {Object} req - request object
     * @param {Object} res - response object
     */
const getmyPosts = async(req, res) => {
    try {
        const id = await isIDGood(req.user._id)
        res.status(200).json(await getAllitems({ postedBy: id }, Posts));
    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { getmyPosts }