const { buildErrObject } = require('../../../middleware/utils')

/**
 * Gets all items from database
 */
const getAllNot = (filter, reqModal = {}) => {
    return new Promise((resolve, reject) => {
        reqModal.updateMany({ receiverId: filter, isSeen: false }, { "$set": { "isSeen": true } }, { "multi": true },
            (err, items) => {
                if (err) {
                    return reject(buildErrObject(422, err.message))
                }
                resolve(items)
            }
        )
    })
}

module.exports = { getAllNot }