const { getUserWallet } = require('./helpers/getUserWallet')
const { handleError } = require('../../middleware/utils')
const { getLatest } = require('../myclub/helpers')
const payouts = require('../../models/payouts')
const payments = require('../../models/payments')
const Wallet = require('../../models/Wallet')
    /**
     * Get items function called by route
     * @param {Object} req - request object
     * @param {Object} res - response object
     */
const getMyGetway = async(req, res) => {
    try {
        const wallet = await getUserWallet(req.user.id)
        const latestWithdrawa = await getLatest({ payedUser: req.user.id, status: 'Done' }, payouts, 1)
        const latestPaymente = await getLatest({ respcentUserId: req.user.id, status: 'succeeded' }, payments, 1)
        let latestWithdraw = 0
        let latestPayment = 0
        if (latestWithdrawa[0] === undefined) {
            latestWithdraw = 0
        } else {
            latestWithdraw = latestWithdrawa[0].amount.toFixed(2)
        }
        if (latestPaymente[0] === undefined) {
            latestPayment = 0
        } else {
            latestPayment = latestPaymente[0].amount.toFixed(2)
        }

        let r = {
                latestWithdraw: latestWithdraw,
                latestPayment: latestPayment,
                balance: wallet.balance,
                _id: wallet.id
            }
            // r = wallet

        console.log(r)
        res.status(200).json(r)
    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { getMyGetway }