const Wallet = require('../../../models/Wallet')
const { itemNotFound } = require('../../../middleware/utils')

/**
 * get current user wa;;et
 * @param {string} id - user id
 */
const getUserWallet = (id = '') => {
    return new Promise((resolve, reject) => {
        Wallet.findOne({
                userId: id,
            },
            async(err, item) => {
                try {
                    await itemNotFound(err, item, 'NOT_FOUND_OR_ALREADY_USED')
                    resolve(item)
                } catch (error) {
                    reject(error)
                }
            }
        )
    })
}

module.exports = { getUserWallet }