const { handleError } = require('../../middleware/utils')
const { getItems, generateQueryString } = require('../../middleware/db')
const Payouts = require('../../models/payouts')

/**
 * Get items function called by route
 * @param {Object} req - request object
 * @param {Object} res - response object
 */
const withdrawHistory = async(req, res) => {
    try {
        const query = await generateQueryString({ fields: 'payedUser', filter: req.user.id })
        res.status(200).json(await getItems(req, Payouts, query))
    } catch (error) {
        handleError(res, error)
    }
}

module.exports = { withdrawHistory }