const Wallet = require('../../models/club')
const { itemNotFound } = require('../utils')



/**
 * Finds user by id
 * @param {string} id - user id
 */
const clublike = (amount, userId) => {
    return new Promise((resolve, reject) => {
        Wallet.updateOne({ userId }, { $inc: { likes: amount } }, {
                new: true,
                runValidators: true
            },
            async(err, item) => {
                try {
                    await itemNotFound(err, item, 'NOT_FOUND')
                    resolve(item)
                } catch (error) {
                    reject(error)
                }
            }
        )
    })
}

module.exports = { clublike }