const { buildErrObject } = require('../utils')

/**
 * Creates a new item in database
 * @param {Object} req - request object
 */
const count = (req = {}, model = {}) => {
    return new Promise((resolve, reject) => {
        model.countDocuments(req, (err, item) => {
            if (err) {
                reject(buildErrObject(422, err.message))
            }
            resolve(item)
        })
    })
}

module.exports = { count }