const { buildErrObject } = require('../utils')
const notifications = require('../../models/notifications')
    /**
     * Creates a new item in database
     * @param {Object} req - request object
     */
const createNotification = (req = {}) => {
    return new Promise((resolve, reject) => {
        notifications.create(req, (err, item) => {
            if (err) {
                reject(buildErrObject(422, err.message))
            }
            resolve(item)
        })
    })
}

module.exports = { createNotification }