const Wallet = require('../../models/Wallet')
const { itemNotFound } = require('../utils')



/**
 * Finds user by id
 * @param {string} id - user id
 */
const fillWallet = (amount, userId) => {
    return new Promise((resolve, reject) => {
        Wallet.updateOne({ userId }, { $inc: { balance: amount } }, {
                runValidators: true
            },
            async(err, item) => {
                try {
                    await itemNotFound(err, item, 'NOT_FOUND')
                    resolve(item)
                } catch (error) {
                    reject(error)
                }
            }
        )
    })
}

module.exports = { fillWallet }