const Wallet = require('../../models/club')
const { itemNotFound } = require('../utils')



/**
 * Finds user by id
 * @param {string} id - user id
 */
const loseMember = (userId) => {
    return new Promise((resolve, reject) => {
        Wallet.updateOne({ userId }, { $inc: { membersCount: -1 } }, {
                new: true,
                runValidators: true
            },
            async(err, item) => {
                try {
                    await itemNotFound(err, item, 'NOT_FOUND')
                    resolve(true)
                } catch (error) {
                    reject(error)
                }
            }
        )
    })
}

module.exports = { loseMember }