const mongoose = require('mongoose')
const mongoosePaginate = require('mongoose-paginate-v2')


const CitySchema = new mongoose.Schema({

    userId: {
        type: String,
        required: true
    },
    title: {
        type: String,
        required: true
    },
    price: {
        type: Number,
        required: true
    },
    image: {
        type: String,
        required: true
    },
    description: {
        type: String,
        default: ''

    },
    file: {
        type: Object,
    },
    options: {
        type: Object,
        required: true
    },
    Archived: {
        type: Boolean,
        default: false
    }
}, {
    versionKey: false,
    timestamps: true
})
CitySchema.plugin(mongoosePaginate)
module.exports = mongoose.model('Packeges', CitySchema)