const mongoose = require('mongoose')
const mongoosePaginate = require('mongoose-paginate-v2')

const CitySchema = new mongoose.Schema({
    price: {
        type: Number,
        required: true
    },
    userId: {
        type: String,
        required: true
    },
    name: {
        type: String,
        required: true
    },
    image: {
        type: String,
        required: true
    },
    description: {
        type: String,
        default: ''
    },
    rewards: {
        type: Array,
        required: true
    },
    stripe: {
        type: Object,
        required: true
    }
}, {
    versionKey: false,
    timestamps: true
})
CitySchema.plugin(mongoosePaginate)
module.exports = mongoose.model('Subscriptions', CitySchema)