const mongoose = require('mongoose')
const mongoosePaginate = require('mongoose-paginate-v2')

const CitySchema = new mongoose.Schema({

    sender: {
        type: Object,
        default: {
            name: 'FanBand',
            image: 'https://res.cloudinary.com/fanband/image/upload/v1644910786/Frame_472_q4ub1i.png'
        }
    },
    receiverId: {
        type: String,
        required: true
    },
    content: {
        type: String,
        required: true
    },
    isSeen: {
        type: Boolean,
        default: false
    }
}, {
    versionKey: false,
    timestamps: true
})
CitySchema.plugin(mongoosePaginate)
module.exports = mongoose.model('notifications', CitySchema)