const mongoose = require('mongoose')
const mongoosePaginate = require('mongoose-paginate-v2')

const CitySchema = new mongoose.Schema({
    product: { type: Object, required: true },
    paymentId: {
        type: String,
        required: true
    },
    club: {
        type: Object,
        required: true
    },
    clubUserId: {
        type: String,
        required: true
    },
    userId: {
        type: String,
        required: true
    },
    user: {
        type: Object,
        required: true
    },
    Status: {
        type: String,
        enum: ['new', 'accepted', 'rejected', 'shipped'],
        default: 'new'

    },
    info: {
        type: Object,
        required: true
    },
    address: {
        type: Object,
        required: true
    },
}, {
    versionKey: false,
    timestamps: true
})
CitySchema.plugin(mongoosePaginate)
module.exports = mongoose.model('Orders', CitySchema)