const mongoose = require('mongoose')
const mongoosePaginate = require('mongoose-paginate-v2')
const config = require('../../config/config.json')
const CitySchema = new mongoose.Schema({
    paymentGetway: {
        type: String,
        enum: config.paymentGetways,
        required: true
    },
    userId: {
        type: String,
        required: true
    },
    status: {
        type: String,
        enum: ['succeeded', 'pending', 'error'],
        default: 'pending'
    },
    amount: {
        type: Number,
        required: true
    },
    respcentUserId: {
        type: String,
        required: true
    },
    payingUser: {
        type: Object,
        required: true
    },
    paymentProviderId: {
        type: String,
        required: true

    },
    type: {
        type: String,
        enum: ['support', 'store', 'package', 'membership'],
        required: true
    }

}, {
    versionKey: false,
    timestamps: true
})
CitySchema.plugin(mongoosePaginate)
module.exports = mongoose.model('Payment', CitySchema)