const mongoose = require('mongoose')
const mongoosePaginate = require('mongoose-paginate-v2')
const Schema = mongoose.Schema;

const CitySchema = new mongoose.Schema({
    obType: { default: 'post', type: String, required: true },

    content: {
        type: String,
        default: ''
    },
    userId: { type: String, required: true },
    media: {
        type: Object
    },
    likes: {
        type: Array,
    },
    postedBy: { type: Schema.Types.ObjectId, ref: 'User' },
    MembersOnly: {
        type: Boolean,
        default: false
    },
    Archived: {
        type: Boolean,
        default: false
    },



}, {
    versionKey: false,
    timestamps: true
})
CitySchema.plugin(mongoosePaginate)
module.exports = mongoose.model('Posts', CitySchema)