const mongoose = require('mongoose')


const CitySchema = new mongoose.Schema({
    name: {
        type: String,
        required: true
    },
    email: {
        type: String,

        lowercase: true,
        unique: true,
        required: true
    },
    encryptedPassword: {
        type: String,

    },
    role: { type: String, enum: ['admin', 'finance', 'operations'], required: true },
}, {
    versionKey: false,
    timestamps: true
})

module.exports = mongoose.model('staff', CitySchema)