const mongoose = require('mongoose')
const mongoosePaginate = require('mongoose-paginate-v2')

const subDomains = new mongoose.Schema({
    userId: {
        type: String,
        required: true
    },
    userName: {
        type: String,
        required: true
    },
    isDisabled: {
        type: Boolean,
        default: true
    },
    storeId: {
        type: String,
        required: true
    },
    clubId: {
        type: String,
        required: true
    },
    isCreator: {
        type: Boolean,
    }
}, {
    versionKey: false,
    timestamps: true
})
subDomains.plugin(mongoosePaginate)
module.exports = mongoose.model('SubDomains', subDomains)