require('dotenv-safe').config({
    allowEmptyValues: true
})
const Stripe = require('stripe')
const stripe = new Stripe(process.env.STRIPE_SECRET, {
    apiVersion: '2020-08-27',
});
const SubscriptionChain = require('../../models/SubscriptionChain')
const { updateItem } = require('../../middleware/db/index.js')
const { handleError } = require('../../middleware/utils/')
const { loseMember } = require('../../middleware/payments/loseMember.js')
async function cancelSub(sub, res) {
    try {
        const deleted = await stripe.subscriptions.del(
            sub.subStripeId
        );
        sub.ongoing = false

        const updatedSub = await updateItem(sub.id, SubscriptionChain, sub)
        await loseMember(sub.clubUserId)
        return updatedSub;
    } catch (err) {
        handleError(res, err)
    }
}
exports.cancelSub = cancelSub