require('dotenv-safe').config({
    allowEmptyValues: true
})
const Stripe = require('stripe')
const stripe = new Stripe(process.env.STRIPE_SECRET, {
    apiVersion: '2020-08-27',
});
const User = require('../../models/user.js')
const { updateItem } = require('../../middleware/db/index.js')
async function createStripeCustomer(user) {
    // CREATE new customer

    const sAccount = {
        address: user.address || {},
        name: user.name,
        email: user.email,
        metadata: {
            userId: user._id,
            userName: user.userName || '',
            name: user.name
        }
    }
    const customer = await stripe.customers.create(sAccount);
    const updatedPaymentInfo = {
        paymentInfo: {
            stripe: {
                _id: customer.id
            }
        }
    }
    const newUser = await updateItem(user._id, User, updatedPaymentInfo)
    return newUser;
}

module.exports = { createStripeCustomer }