const { stripe } = require('./stripe')
async function createPaymentIntent(amount, user, cardId) {
    if (user.type === 'user') {
        const paymentIntent = await stripe.paymentIntents.create({
            automatic_payment_methods: { enabled: true },
            amount: amount,
            currency: 'usd',
            customer: user.info.paymentInfo.stripe._id,
            payment_method: cardId,
            receipt_email: user.email



        });
        return paymentIntent;
    }
    const paymentIntent = await stripe.paymentIntents.create({
        payment_method_types: ['card'],
        amount: amount,
        currency: 'usd',

    });
    return paymentIntent;
}
module.exports = { createPaymentIntent }