const { stripe } = require('./stripe')

/**
 * Business logic for specific webhook event types
 */
const webhookHandlers = {
    'payment_intent.created': async(paymentIntent) => {
        console.log('payment_intent.created', paymentIntent)
    },
    'subscription_schedule.created': async(subscriptionSchedule) => {
        console.log('subscription_schedule.created', subscriptionSchedule)
    },
    'checkout.session.completed': async(data) => {
        // Add your business logic here
        console.log(data)
    },
    'payment_intent.succeeded': async(data) => {
        // Add your business logic here
        console.log(data)
        return
    },
    'payment_intent.payment_failed': async(data) => {
        // Add your business logic here
        console.log(data)
    },
    'customer.subscription.deleted': async(data) => {
        // const customer = await stripe.customers.retrieve(data.customer)
        // const userId = customer.metadata.firebaseUID
        // const userRef = db.collection('users').doc(userId)
        // await userRef
        //     .update({
        //         activePlans: firestore.FieldValue.arrayRemove(data.plan.id),
        //     });
        console.log(data)

    },
    'customer.subscription.created': async(data) => {
        // const customer = await stripe.customers.retrieve(data.customer)
        // const userId = customer.metadata.firebaseUID;
        // const userRef = db.collection('users').doc(userId);

        // await userRef
        //     .update({
        //         activePlans: firestore.FieldValue.arrayUnion(data.plan.id),
        //     });
        console.log(data)

    },
    'invoice.payment_succeeded': async(data) => {
        // Add your business logic here
        console.log(data)

    },
    'invoice.payment_failed': async(data) => {

        // const customer = await stripe.customers.retrieve(data.customer)
        // const userSnapshot = await db.collection('users').doc(customer.metadata.firebaseUID).get();
        // await userSnapshot.ref.update({ status: 'PAST_DUE' });
        console.log(data)


    }
}

/**
 * Validate the stripe webhook secret, then call the handler for the event type
 */
const handleStripeWebhook = async(req, res) => {
    const sig = req.headers['stripe-signature'];
    const event = stripe.webhooks.constructEvent(req['rawBody'], sig, 'whsec_00ad14d11e6f61b8f77d88141e9d8572050344121f26c1d3605c64ca939ada8d');
    try {
        await webhookHandlers[event.type](event.data.object);
        res.send({ received: true });
    } catch (err) {
        console.error(err)
        res.status(400).send(`Webhook Error: ${err.message}`);
    }
}
module.exports = { handleStripeWebhook }