const express = require('express')
const router = express.Router()
require('../../config/passport')
const passport = require('passport')
const requireAuth = passport.authenticate('jwt', {
    session: false
})
const {
    postCreate,
    postDelete,
    updateClub,
    packageCreate,
    getAllClubPackages,
    productCreate,
    productUpdate,
    packageArchived,
    packageUpdate,
    subscriptionCreate,
    getAllProductCatygory,
    subscriptionUpdate,
    productArchived,
    getAllClubProducts,
    getClubOrders,
    postArchcive,
    orderUpdate,
    getAllClubSubscriptions,
    getClubSupports,
    getClubPackageClaims,
    getClubMembers,
    dashboard,
    getMyClub,
    productCatygoryCreate,
    productCatygoryUpdate
} = require('../controllers/myclub')

const { roleAuthorization } = require('../controllers/auth')

router.get('/get', requireAuth, roleAuthorization(['creator']), getMyClub)
router.post('/update', requireAuth, roleAuthorization(['creator']), updateClub)
    /////////
    /*
     * supports
     */
    /////////

//////////////////
/*
 * fetch supports route
 */
router.get('/supports', requireAuth, roleAuthorization(['creator']), getClubSupports)

/////////
/*
 * posts
 */
/////////

//////////////////
/*
 * create club post route
 */


router.post('/posts', requireAuth, roleAuthorization(['creator']), postCreate)
    //////////////////
    /*
     * fetch club post route
     */
router.get('/posts', requireAuth, roleAuthorization(['creator']), getAllClubPackages)
    //////////////////
    /*
     * Archived club post route
     */
router.delete('/posts', requireAuth, roleAuthorization(['creator']), postArchcive)
    //////////////////
    /*
     * update club post route
     */
router.patch('/posts', requireAuth, roleAuthorization(['creator']), packageUpdate)
    //////////////////
    /*
     * delete club post route
     */
router.put('/posts', requireAuth, roleAuthorization(['creator']), postDelete)

/////////
/*
 * packeges
 */
/////////

//////////////////
/*
 * create packege route
 */
router.post('/packeges', requireAuth, roleAuthorization(['creator']), packageCreate)

//////////////////
/*
 * fetch packeges route
 */
router.get('/packeges', requireAuth, roleAuthorization(['creator']), getAllClubPackages)
    //////////////////
    /*
     * Archived packege route
     */
router.delete('/packeges', requireAuth, roleAuthorization(['creator']), packageArchived)
    //////////////////
    /*
     * update packege route
     */
router.patch('/packeges', requireAuth, roleAuthorization(['creator']), packageUpdate)
    //////////////////
    /*
     * getClubPackageClaims
     */
router.get('/packeges/claims', requireAuth, roleAuthorization(['creator']), getClubPackageClaims)
    /////////
    /*
     * Subscriptions
     */
    /////////
    ////////////////// 
    /*
     * fetch members route
     */
router.get('/subscriptions/members', requireAuth, roleAuthorization(['creator']), getClubMembers)
    //////////////////
    /*
     * create Subscription route
     */
router.post('/subscription', requireAuth, roleAuthorization(['creator']), subscriptionCreate)

//////////////////
/*
 * fetch Subscriptions route
 */
router.get('/subscription', requireAuth, roleAuthorization(['creator']), getAllClubSubscriptions)

////////////////// 
/*
 * update Subscription route
 */
router.patch('/subscription', requireAuth, roleAuthorization(['creator']), subscriptionUpdate)

/////////
/*
 * Store
 */
/////////

//////////////////
/*
 * create Store product route
 */
router.post('/store/products', requireAuth, roleAuthorization(['creator']), productCreate)

//////////////////
/*
 * fetch store products route
 */
router.get('/store/products', requireAuth, roleAuthorization(['creator']), getAllClubProducts)
    //////////////////
    /*
     * Archived store product route
     */
router.delete('/store/products', requireAuth, roleAuthorization(['creator']), productArchived)
    //////////////////
    /*
     * update store product route
     */
router.patch('/store/products', requireAuth, roleAuthorization(['creator']), productUpdate)
    //////////////////
    /*
     * create Store product catygory route
     */
router.post('/store/products/catygory', requireAuth, roleAuthorization(['creator']), productCatygoryCreate)

//////////////////
/*
 * fetch store products catygorys route
 */
router.get('/store/products/catygory', requireAuth, roleAuthorization(['creator']), getAllProductCatygory)
    //////////////////
    /*
     * update store product route
     */
router.patch('/store/products/catygory', requireAuth, roleAuthorization(['creator']), productCatygoryUpdate)

//////////////////
/*
 * fetch store orders route
 */
router.get('/store/orders', requireAuth, roleAuthorization(['creator']), getClubOrders)
    //////////////////
    /*
     * update store order route
     */
router.patch('/store/orders', requireAuth, roleAuthorization(['creator']), orderUpdate)
    //////////
    /*
     * dashboard
     */
    //////////
router.get('/dashboard', requireAuth, roleAuthorization(['creator']), dashboard)

module.exports = router