const express = require('express')
const router = express.Router()
require('../../config/passport')
const passport = require('passport')
const requireAuth = passport.authenticate('jwt', {
    session: false
})
const trimRequest = require('trim-request')
const bodyParser = require('body-parser')

const {
    handleStripeWebhook,
} = require('../paymentGetways/stripe/webhooks')
const { registeredUserPayment, gusetUserPayment, registeredUserPaymentCrypto, cryptoHook } = require('../controllers/payments/index')
    /////////
    /*
     * payments
     */
    /////////
    //////////////////
    /*
     * create stripe payment  
     */
router.post(
        '/stripe/userPayment',
        requireAuth,
        registeredUserPayment,
    )
    //////////////////
    /*
     * create crypto payment  
     */
router.post('/crypto/payment', requireAuth, registeredUserPaymentCrypto)
    /*
     *  charge geust user using stripe
     */
router.post(
    '/geustUserPaymentCridtCard',
    gusetUserPayment,
)

///// HELPERS /////
router.post(
    '/stripe/createSetupPaymentIntent',
    requireAuth,
    trimRequest.all,
    // createSetupPaymentIntent,
)


/**
 * Webhooks
 */

// stripe webhooks
router.post('/stripe/hooks', handleStripeWebhook);
// crypto webhooks
router.post('/crypto/hooks', cryptoHook);

module.exports = router